NAME Pulse Detonation Thruster
NAM2 a pulse detonation thruster
ICON items/s_system1.jpg 28
GFXP items/l_system2.jpg 12
FLAG tech
DIST dead cold warm hot toxic
TEXT A high performance, low cost and very economical propulsion system that utilizes ignited plasma pulses.
COST 67 technology
TYPE thruster
SIZE 1

DATA

PAR0 66

END DATA
